import { jsx } from "react/jsx-runtime";
import { TokenNEXO as TokenNEXO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNEXO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NEXO", "data-name": "TokenNEXO", ...props, children: /* @__PURE__ */ jsx(TokenNEXO$1, { variant }) });
  }
);
TokenNEXO.displayName = "TokenNEXO";
Object.assign(TokenNEXO, { isGdsIcon: true });
export {
  TokenNEXO
};
